Other B4i v2.0 has been released!

Discussion in 'iOS Questions' started by Erel, Jul 8, 2015.

  1. Erel

    Erel Administrator Staff Member Licensed User

    [​IMG]

    I'm happy to release B4i v2.00. This is a major update with many important improvements.
    B4i is now based on the new IDE with the same advanced features as B4A v5.0 and B4J v3.0: http://www.b4x.com/android/forum/threads/b4a-v5-00-has-been-released.54653/

    Other improvements:
    • Bug fixes.
    Requirements

    - Microsoft .Net Framework 4.0+ is required. If you are running Windows XP then you should install .Net Framework 4.0: https://www.microsoft.com/en-us/download/details.aspx?id=17851

    - Developers running Vista or above should install .Net Framework 4.5.2: https://www.microsoft.com/en-us/download/details.aspx?id=42642

    - Developers using a local builder should update the builder to v2.0 and use Xcode 6.3+.
    If you have already installed the builder from the last beta then you only need to copy the libraries.

    Users who are eligible for a free upgrade should receive an email with the download links. Please allow a few hours for the mail to arrive.

    Note that starting from this version it is possible to develop iOS apps with B4i without an Apple developer account using the iOS simulator (with a local Mac builder).
    You will still need a developer account when you want to test the app on a real device or when you are ready to upload it to the app store.
     
    Last edited: Jul 8, 2015
  2. omidaghakhani1368

    omidaghakhani1368 Well-Known Member Licensed User

    Hi.
    What's different with previous version?
     
  3. Erel

    Erel Administrator Staff Member Licensed User

    Do you mean the beta version? There are several bug fixes and also the the new ShowPage2 / RemoveCurrentPage2 methods.
     
  4. little3399

    little3399 Active Member Licensed User

    Local host builder does not need update ?
     
  5. Erel

    Erel Administrator Staff Member Licensed User

    See the third point under the Requirements section.
     
  6. Roberto P.

    Roberto P. Well-Known Member Licensed User

    excellent. where we find the simulator?
     
  7. little3399

    little3399 Active Member Licensed User

    the simulator was use IDE F2 to start it ...
     
    Last edited: Jul 8, 2015
  8. Erel

    Erel Administrator Staff Member Licensed User

    The simulator is available under Tools - Device IP Address:

    [​IMG]
     
    Peter Simpson likes this.
  9. omidaghakhani1368

    omidaghakhani1368 Well-Known Member Licensed User

    Don't worry Erel,i asked basic question because didn't see changelog in above comment.
     
  10. Jerez

    Jerez Active Member Licensed User

    Thanks!
     
  11. Roberto P.

    Roberto P. Well-Known Member Licensed User

    Thanks you
     
  12. eSolution

    eSolution Member Licensed User

    I use Windows and I have a hosted builder license but that is not allowing me to use the simulator. I can install OSX Mavericks 10.9 on my PC on a vmware... can I use a local builder on the vmware OSX image and B4I on the windows host so I can access the simulator? Anyone tried this before?
     
  13. Erel

    Erel Administrator Staff Member Licensed User

    Note that F2 can point to a different address. F2 is a shortcut to the last ip address used. The simulator is treated as an "ip address".
     
  14. Erel

    Erel Administrator Staff Member Licensed User

    You need to use a local Mac in order to use the simulator.

    Apple doesn't allow you to install OSX on a virtual machine. Please do not discuss such solutions in this forum.
     
  15. ivan.tellez

    ivan.tellez Active Member Licensed User

    This update broke some code. You can't use DBUtils and the Table class together:

    Error description: Variable name cannot be the same as a module name.

    Is the best solution for this to change the Name of the Table Class?
     
  16. Erel

    Erel Administrator Staff Member Licensed User

    The problem was relevant in previous versions as well. Now there is a check for this. You just need to change the name of the class or the conflicting variable.
     
    Peter Simpson likes this.
  17. henrywood

    henrywood Active Member Licensed User

    It looks like support for silent push notifications didnt make it into version 2.0?
     
  18. ciginfo

    ciginfo Active Member Licensed User

    Can you explain in detail how to use the simulator when we are working on a PC (Win seven for example).
    1) Is it necessary to have a Mac on the network. ?
    2) We must install XCode 6.3+ on the Mac
    3) Local builder is to install on the Mac or PC? How to install the builder?
    Thank you
     
  19. merlin2049er

    merlin2049er Well-Known Member Licensed User

  20. Erel

    Erel Administrator Staff Member Licensed User

    That's true.

    1) Yes.
    2) Yes.
    3) On the Mac: http://www.b4x.com/android/forum/threads/46402/#content
     
Loading...